#!/usr/bin/bash

# copy assets
cp -r assets/ dist/

make_index() {
		cp templates/index.tmpl.html build/index.html
		sed -i 's/<title>/&Home/' build/index.html
		pandoc pages/index.md > build/index-content.html
		sed -i '/<main>/r build/index-content.html' build/index.html
		cp build/index.html dist/
}

make_index

make_stuff() {
		cp templates/index.tmpl.html build/stuff.html
		sed -i 's/<title>/&Stuff/' build/stuff.html
		pandoc pages/stuff.md > build/stuff-content.html
		sed -i '/<main>/r build/stuff-content.html' build/stuff.html
		cp build/stuff.html dist/
}

make_stuff
